### Method

# GLib Variant get_child

since: 2.24

#### Declaration [src]

    void
    g_variant_get_child (
      GVariant* value,
      gsize index_,
      const gchar* format_string,
      ...
    )

#### Description [src]

Reads a child item out of a container `GVariant` instance and deconstructs it according to `format_string`. This call is essentially a combination of `g_variant_get_child_value()` and g_variant_get().

`format_string` determines the C types that are used for unpacking the values and also determines if the values are copied or borrowed, see the section on `GVariant` format strings.

Available since: 2.24

This method is not directly available to language bindings.

#### Parameters

`index_`

  Type: `gsize`

  The index of the child to deconstruct.

`format_string`

  Type: `const gchar*`

  A `GVariant` format string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  Arguments, as per `format_string`.